# ChangeLog for media-gfx/digikam
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/digikam/ChangeLog,v 1.80 2007/03/05 17:31:03 deathwing00 Exp $

  05 Mar 2007; Ioannis Aslanidis <deathwing00@gentoo.org>
  +digikam-0.7.4-r1.ebuild:
  Restored obsolete version in order to prevent ia64 and alpha tree break.

  03 Mar 2007; Ioannis Aslanidis <deathwing00@gentoo.org>
  -digikam-0.9.0_rc1.ebuild, -digikam-0.9.0_rc2.ebuild:
  Removed old rc versions.

  03 Mar 2007; Ioannis Aslanidis <deathwing00@gentoo.org>
  -digikam-0.9.0_beta1.ebuild, -digikam-0.9.0_beta1-r1.ebuild,
  -digikam-0.9.0_beta1-r2.ebuild, -digikam-0.9.0_beta2.ebuild,
  -digikam-0.9.0_beta2-r1.ebuild, -digikam-0.9.0_beta3.ebuild:
  Removed old beta versions.

  03 Mar 2007; Ioannis Aslanidis <deathwing00@gentoo.org>
  -digikam-0.8.2.ebuild:
  Removed release 0 in favor of release 1.

  03 Mar 2007; Ioannis Aslanidis <deathwing00@gentoo.org>
  -digikam-0.7.4-r1.ebuild, -digikam-0.7.4-r2.ebuild,
  -digikam-0.8.1-r1.ebuild:
  Removed old versions that are below the current stable one.

*digikam-0.9.1_rc1 (03 Mar 2007)

  03 Mar 2007; Ioannis Aslanidis <deathwing00@gentoo.org>
  +digikam-0.9.1_rc1.ebuild:
  Version bump. Removed sys-libs/gdbm (no longer used) and media-gfx/dcraw
  (uses custom version) dependencies. Added >=media-libs/jasper-1.7 and
  media-libs/libkexiv2 as new dependencies. Dropped ~amd64, ~ppc and ~sparc
  keywords for this version, because of the fact that media-libs/libkexiv2 was
  not keyworded yet. Please, do not use an external dependency for
  media-gfx/dcraw as upstream broke backwards compatibility.

  22 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
  Transition to Manifest2.

  04 Feb 2007; Simon Stelling <blubb@gentoo.org> digikam-0.8.2-r1.ebuild:
  stable on amd64; bug 157541

  01 Feb 2007; Gustavo Zacarias <gustavoz@gentoo.org> digikam-0.9.0.ebuild:
  Stable on sparc

  23 Dec 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  digikam-0.8.2-r1.ebuild:
  Stable on ppc wrt bug #157541.

*digikam-0.9.0 (21 Dec 2006)

  21 Dec 2006; Matthias Schwarzott <zzam@gentoo.org> +digikam-0.9.0.ebuild:
  Version bumped, Bug #158486.

  20 Dec 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  digikam-0.8.2-r1.ebuild:
  Stable on sparc wrt #157541

  11 Dec 2006; Christian Faulhammer <opfer@gentoo.org>
  digikam-0.8.2-r1.ebuild:
  stable x86, bug #157541

*digikam-0.9.0_rc2 (08 Dec 2006)

  08 Dec 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  +digikam-0.9.0_rc2.ebuild:
  Version bump. Increased dependency of media-gfx/exiv2 to 0.12.

*digikam-0.9.0_rc1 (23 Nov 2006)

  23 Nov 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  +digikam-0.9.0_rc1.ebuild:
  Version bump. Added media-libs/libpng as a dependency. Added versions for
  some of the dependencies. KDE dependency increased to 3.5.

  05 Nov 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  digikam-0.9.0_beta3.ebuild:
  Reverted restriction of bug #153535 about media-libs/libgphoto2. Added
  dependency for media-gfx/exiv2 to be at least version 0.11 as detailed in
  bug #153639.

*digikam-0.9.0_beta3 (31 Oct 2006)

  31 Oct 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  +digikam-0.9.0_beta3.ebuild:
  Version bump. Restricted media-libs/libgphoto2 version to 2.1.6. See bug
  #153535 for details.

  18 Oct 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  digikam-0.8.2-r1.ebuild, digikam-0.9.0_beta2-r1.ebuild:
  Fixed a parse error in SRC_URI when using the 'doc' USE flag. Thanks to
  Jakub Moc for noticing.

*digikam-0.9.0_beta2-r1 (15 Oct 2006)
*digikam-0.8.2-r1 (15 Oct 2006)

  15 Oct 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  +digikam-0.8.2-r1.ebuild, +digikam-0.9.0_beta2-r1.ebuild:
  Corrected documentation support as stated in bug #139519. Thanks to Piotr
  Jaroszynski for his contribution.

  04 Oct 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/digikam-0.9.0_beta2-asneeded.patch, digikam-0.9.0_beta2.ebuild:
  Add patch to fix building with --as-needed, thanks David Philippi for patch
  (bug #144382) and patience.

*digikam-0.9.0_beta2 (20 Sep 2006)

  20 Sep 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  +digikam-0.9.0_beta2.ebuild:
  Version bump. Patches memory-leak-fix and rate-pictures-fix are no longer
  needed from this version and on.

  07 Sep 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  digikam-0.9.0_beta1-r2.ebuild:
  Removed 'exif' from IUSE as libexif is no longer a dependency and exiv2 is
  mandatory.

*digikam-0.9.0_beta1-r2 (02 Sep 2006)

  02 Sep 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  +files/digikam-0.9.0_beta1-rate-pictures-fix.diff,
  +digikam-0.9.0_beta1-r2.ebuild:
  Added patches that fix rating the pictures using shortcuts. Fixes bug #145762.

  22 Aug 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  digikam-0.9.0_beta1.ebuild, digikam-0.9.0_beta1-r1.ebuild:
  Removed media-libs/libexif from slot_rebuild for versions 0.9.0 and above as
  it is a dependency no longer.

*digikam-0.9.0_beta1-r1 (22 Aug 2006)

  22 Aug 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  +files/digikam-0.9.0_beta1-memory-leak-fix.patch,
  +digikam-0.9.0_beta1-r1.ebuild:
  Memory leak fix added. Resolves bug #144433. Thanks to Peter Gantner for
  reporting it.

*digikam-0.9.0_beta1 (13 Aug 2006)

  13 Aug 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  +digikam-0.9.0_beta1.ebuild:
  Resolved bug #143603. Removed keywords ~ia64 and ~alpha as exiv2 is not
  keyworded for those architectures. From this version and on imlib2 and
  libkexif are dependencies no more, they have been replaced for exiv2 and
  lcms.

  13 Aug 2006; Ioannis Aslanidis <deathwing00@gentoo.org>
  digikam-0.8.2.ebuild:
  Resolves bug #143584: added media-gfx/dcraw as dependency. Thanks to Samir
  M. Nassar for reporting.

*digikam-0.8.2 (18 Jul 2006)

  18 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  -digikam-0.8.2_rc1.ebuild, +digikam-0.8.2.ebuild:
  Version bump.

  26 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  digikam-0.8.1-r1.ebuild, digikam-0.8.2_rc1.ebuild:
  Keyworded ~sparc

  01 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  digikam-0.8.2_rc1.ebuild:
  Remove 'e' language (my typo). Thanks to Jakub Moc in bug #135137.

  30 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  digikam-0.8.1-r1.ebuild, digikam-0.8.2_rc1.ebuild:
  Rewrite documentation handling, add doc useflag to disable documentation
  entirely, split documentation in packages. Add kdehiddenvisibility flag as
  this package can build with visibility support.

*digikam-0.8.2_rc1 (20 May 2006)

  20 May 2006; Carsten Lohrke <carlo@gentoo.org> +digikam-0.8.2_rc1.ebuild:
  Version bump.

  17 Apr 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  digikam-0.7.4-r1.ebuild:
  ppc stable, bug #113723

  17 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  digikam-0.8.1-r1.ebuild:
  Move the .desktop file in FDO's suggested directory.

  10 Mar 2006; Aron Griffis <agriffis@gentoo.org> digikam-0.7.4-r1.ebuild:
  Mark 0.7.4-r1 stable on ia64

  21 Feb 2006; Carsten Lohrke <carlo@gentoo.org> digikam-0.7.4-r2.ebuild:
  Minor fix.

  15 Feb 2006; Diego Pettenò <flameeyes@gentoo.org>
  digikam-0.8.1-r1.ebuild:
  Fix typo, thanks to Brendan Rankin in bug #122960 for reporting.

*digikam-0.8.1-r1 (15 Feb 2006)
*digikam-0.7.4-r2 (15 Feb 2006)

  15 Feb 2006; Carsten Lohrke <carlo@gentoo.org>
  -files/digikam-0.8.0-gcc41.patch, -digikam-0.7.1.ebuild,
  +digikam-0.7.4-r2.ebuild, -digikam-0.8.0-r1.ebuild, -digikam-0.8.1.ebuild,
  +digikam-0.8.1-r1.ebuild:
  Fix broken doc install, missing dependencies, make LINGUAS aware.

  09 Feb 2006; Aron Griffis <agriffis@gentoo.org> digikam-0.7.4-r1.ebuild:
  Mark 0.7.4-r1 stable on alpha

*digikam-0.8.1 (01 Feb 2006)

  01 Feb 2006; Marcus D. Hanwell <cryos@gentoo.org> +digikam-0.8.1.ebuild:
  Version bump, closes bug 120149.

  03 Jan 2006; Petteri Räty <betelgeuse@gentoo.org>
  digikam-0.7.4-r1.ebuild:
  Marked stable on x86 for bug #113723.

  04 Dec 2005; Marcus D. Hanwell <cryos@gentoo.org> -digikam-0.7.4.ebuild,
  -digikam-0.8.0.ebuild:
  Pruned old versions.

  04 Dec 2005; Marcus D. Hanwell <cryos@gentoo.org> digikam-0.7.4-r1.ebuild:
  Stable on amd64, bug 113723.

*digikam-0.8.0-r1 (03 Dec 2005)
*digikam-0.7.4-r1 (03 Dec 2005)

  03 Dec 2005; Carsten Lohrke <carlo@gentoo.org> +digikam-0.7.4-r1.ebuild,
  +digikam-0.8.0-r1.ebuild:
  install user docs always

  29 Nov 2005; Hanno Boeck <hanno@gentoo.org>
  +files/digikam-0.8.0-gcc41.patch, digikam-0.8.0.ebuild:
  Fix for gcc 4.1.

  27 Nov 2005; Marcus D. Hanwell <cryos@gentoo.org> digikam-0.7.4.ebuild:
  Stable on amd64.

*digikam-0.8.0 (27 Nov 2005)

  27 Nov 2005; Marcus D. Hanwell <cryos@gentoo.org>
  -digikam-0.8.0_rc1.ebuild, +digikam-0.8.0.ebuild:
  Version bump.

*digikam-0.8.0_rc1 (18 Nov 2005)

  18 Nov 2005; Marcus D. Hanwell <cryos@gentoo.org>
  -digikam-0.8.0_beta2.ebuild, +digikam-0.8.0_rc1.ebuild:
  Version bump.

  03 Oct 2005; Gregorio Guidi <greg_g@gentoo.org>
  -files/digikam-0.8.0_beta2-configure-fix.patch, digikam-0.7.4.ebuild,
  digikam-0.8.0_beta2.ebuild:
  Remove configure patch, not needed anymore (see bug 107571).

  02 Oct 2005; Marcus D. Hanwell <cryos@gentoo.org> digikam-0.7.4.ebuild:
  Patch to fix configure applied to this version too, bug 107318.

  27 Sep 2005; Marcus D. Hanwell <cryos@gentoo.org>
  +files/digikam-0.8.0_beta2-configure-fix.patch,
  digikam-0.8.0_beta2.ebuild:
  Patch to fix configure applied, bug 107318.

*digikam-0.8.0_beta2 (25 Sep 2005)

  25 Sep 2005; Carsten Lohrke <carlo@gentoo.org> -digikam-0.6.2.ebuild,
  -digikam-0.7.2.ebuild, -digikam-0.7.3.ebuild, -digikam-0.8.0_beta1.ebuild,
  +digikam-0.8.0_beta2.ebuild:
  version bump

  25 Sep 2005; Carsten Lohrke <carlo@gentoo.org> -digikam-0.6.2.ebuild,
  -digikam-0.7.2.ebuild, -digikam-0.7.3.ebuild, -digikam-0.8.0_beta1.ebuild:
  clean up

*digikam-0.8.0_beta1 (16 Sep 2005)

  16 Sep 2005; Marcus D. Hanwell <cryos@gentoo.org>
  +digikam-0.8.0_beta1.ebuild:
  Added beta version to p.mask for testing, bug 106175.

*digikam-0.7.4 (16 Sep 2005)

  16 Sep 2005; Marcus D. Hanwell <cryos@gentoo.org> -digikam-0.7.ebuild,
  +digikam-0.7.4.ebuild:
  Version bump, I added in support for separately downloading the docs. Closes
  bug 98425, thanks to Carsten Lohrke <carlo@gentoo.org> for the slot rebuild
  function.

  26 Aug 2005; Aron Griffis <agriffis@gentoo.org> digikam-0.7.3.ebuild:
  add ~alpha ~ia64

*digikam-0.7.3 (07 Jul 2005)

  07 Jul 2005; Carsten Lohrke <carlo@gentoo.org> digikam-0.7.1.ebuild,
  digikam-0.7.2.ebuild, +digikam-0.7.3.ebuild:
  version bump, remove now unnecessary block

  07 Apr 2005; Simon Stelling <blubb@gentoo.org> digikam-0.7.1.ebuild:
  stable on amd64

  04 Mar 2005; Carsten Lohrke <carlo@gentoo.org> digikam-0.7.1.ebuild:
  stable on x86

*digikam-0.7.2 (03 Mar 2005)

  03 Mar 2005; Carsten Lohrke <carlo@gentoo.org> +digikam-0.7.2.ebuild:
  version bump

  15 Jan 2005; Dan Armak <danarmak@gentoo.org> digikam-0.6.2.ebuild:
  Changed dep on kdesdk to accept kdesdk-misc, the split package containing
  xml2pot.

*digikam-0.7.1 (04 Jan 2005)

  04 Jan 2005; Carsten Lohrke <carlo@gentoo.org> +digikam-0.7.1.ebuild:
  version bump

  02 Dec 2004; Mike Doty <kingtaco@gentoo.org> digikam-0.6.2.ebuild,
  digikam-0.7.ebuild:
  digikam-0.6.2 stable on amd64. digikam-0.7 marked ~amd64.  See bug #67644

  30 Nov 2004; Carsten Lohrke <carlo@gentoo.org> digikam-0.7.ebuild:
  blocking media-plugins/digikamplugins for convenience

*digikam-0.7 (08 Nov 2004)

  08 Nov 2004; Carsten Lohrke <carlo@gentoo.org> +digikam-0.7.ebuild,
  -digikam-0.7_rc1.ebuild:
  version bump

*digikam-0.7_rc1 (03 Nov 2004)

  03 Nov 2004; Carsten Lohrke <carlo@gentoo.org> -digikam-0.5.1.ebuild,
  -digikam-0.6.2_rc1.ebuild, -digikam-0.7_beta1.ebuild,
  +digikam-0.7_rc1.ebuild:
  version bump,  clean up

  30 Oct 2004; Carsten Lohrke <carlo@gentoo.org> digikam-0.7_beta1.ebuild:
  added missing media-libs/imlib2 dependency

*digikam-0.7_beta1 (18 Oct 2004)

  18 Oct 2004; Carsten Lohrke <carlo@gentoo.org> +digikam-0.7_beta1.ebuild:
  version bump

  05 Aug 2004; Carsten Lohrke <carlo@gentoo.org> digikam-0.6.2.ebuild:
  stable on x86

  20 Jul 2004; Carsten Lohrke <carlo@gentoo.org> digikam-0.6.2.ebuild:
  missing dependency media-libs/imlib (#57625)

  24 Jun 2004; Aron Griffis <agriffis@gentoo.org> digikam-0.6.2.ebuild:
  add newline at eof

*digikam-0.6.2 (19 Jun 2004)

  19 Jun 2004; Carsten Lohrke <carlo@gentoo.org> digikam-0.6.2.ebuild:
  version bump

  09 Jun 2004; Carsten Lohrke <carlo@gentoo.org> metadata.xml:
  added metadata.xml

*digikam-0.6.2_rc1 (07 Jun 2004)

  07 Jun 2004; Carsten Lohrke <carlo@gentoo.org> digikam-0.5.1.ebuild,
  digikam-0.6.2_rc1.ebuild:
  ebuild fixes, version bump

  09 May 2004; Danny van Dyk <kugelfang@gentoo.org> digikam-0.5.1.ebuild:
  Marked ~amd64.

  09 Apr 2004; David Holm <dholm@gentoo.org> digikam-0.5.1.ebuild:
  Added to ~ppc.

  14 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org> digikam-0.5.1.ebuild:
  inherit kde instead of deprecated kde-base

  02 Nov 2002; Hannes Mehnert <hannes@gentoo.org> digikam-0.5.1.ebuild:
  marked stable for x86

*digikam-0.5.1 (24 Oct 2002)

  24 Oct 2002; Hannes Mehnert <hannes@gentoo.org> digikam-0.5.1.ebuild,
  ChangeLog: Initial ebuild. Thanks to mb1611@gmx.de (Markus Brueckner)
  for submission (#7734).
